---
title: "Send email preview"
url: https://docs.gleap.ai/en/reference/rest-api/send-email-preview
method: POST
path: "/engagement/emails/{engagementEmailId}/send-email-preview"
api: "API Reference"
tag: "Engagement Email"
operationId: "SendEmailPreview"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Send email preview

`POST https://api.gleap.io/v3/engagement/emails/{engagementEmailId}/send-email-preview`

Send a test email of an engagement email to up to 10 addresses. Fails with 400 and the reason when the email can't be sent (invalid address, email limit, invalid sender, …).

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `engagementEmailId` (string, required)

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

- `lang` (string)
- `emails` (string[], required)

## Example request

```bash
curl --request POST \
  --url 'https://api.gleap.io/v3/engagement/emails/{engagementEmailId}/send-email-preview' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{
  "emails": [
    "<emails>"
  ]
}'
```

## Responses

### 200 (`application/json`)

Ok

- `success` (boolean, required)

```json
{
  "success": true
}
```
